Uploaded image for project: 'Java Mission Control'
  1. Java Mission Control
  2. JMC-6342

Eclipse with below JDK 9 and JOverflowUi fails to load OpenJFX classes

    Details

      Description

      Post the fix to JMC-6128, JOverflowUi from Eclipse (running with JDK 9 or its below) will fail to load OpenJFX class with exception

      "java.lan.UnsupportedClassVersionError: javafx/application/Platform has been compiled by a more recent version of the Java Runtime (class file version 54.0), ...). 

      In Order to fix this solution we need to provide our

      1. If the boot JDK contains (JDK 9 and its below) jfxrt.jar , then done use OpenJFX classes.
      2. Provide org.openjdk.jmc.osgi.extension as part of update sites IDE (with fragment and its autostart specified). 

       

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                ghb Guru Hb
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated: